<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://schemas.microsoft.com/dotnet/2021/maui"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:toolkit="http://schemas.microsoft.com/dotnet/2022/maui/toolkit"
             xmlns:terminal="clr-namespace:KieselsteinErp.Terminal"
             xmlns:viewmodel="clr-namespace:KieselsteinErp.Terminal.ViewModels"
             xmlns:controls="clr-namespace:KieselsteinErp.Terminal.Controls"
             xmlns:models="clr-namespace:KieselsteinErp.Terminal.Models"
             xmlns:localization="clr-namespace:LocalizationResourceManager.Maui;assembly=LocalizationResourceManager.Maui"
             xmlns:m="clr-namespace:UraniumUI.Icons.MaterialIcons;assembly=UraniumUI.Icons.MaterialIcons"
             x:Class="KieselsteinErp.Terminal.Views.StaffPage"
             x:DataType="viewmodel:StaffPageViewModel"
             Title="">

	
  <ContentPage.Behaviors>
    <toolkit:EventToCommandBehavior Command="{Binding AppearingCommand}" EventName="Appearing" />
    <toolkit:EventToCommandBehavior Command="{Binding DisappearingCommand}" EventName="Disappearing" />
  </ContentPage.Behaviors>

  <Grid>
    <Grid.RowDefinitions>
      <RowDefinition Height="Auto"/>
      <RowDefinition Height="18*"/>
      <RowDefinition Height="1*"/>
    </Grid.RowDefinitions>
    <!--<Image Grid.Row="0" Grid.Column="0" Source="sanduhr4k.jpg" Aspect="AspectFill" />-->
    <!--<Image Grid.Row="2" Grid.Column="0" Source="sanduhr4k.jpg" Aspect="AspectFill" />-->
    <Border Style="{StaticResource Title}" Padding="10,0,10,0" >
    <Grid RowDefinitions="Auto" ColumnDefinitions = "3*,2*,3*,50" >
        <Label Grid.Column="0" Style="{StaticResource TitleLabel}"
                                Text="{Binding Title}"
                                Margin="0,20,0,20"
                                HorizontalOptions="Start"/>
        <Label Grid.Column="2" Style="{StaticResource TitleLabel}"
                                Text="{Binding LabelDateTime}"
                                Margin="0,20,0,20"
                                HorizontalOptions="Center"/>
        <Label Grid.Column="1" Style="{StaticResource TitleLabel}"
                                Text="{Binding OnlineString}"
                                Margin="0,20,0,20"
                                HorizontalOptions="Center"/>
      <ImageButton Grid.Column="3"
                                Command="{Binding SettingsCommand}"
                                x:Name="BtnSettings"
                                BackgroundColor="Transparent"
                                HorizontalOptions="End" VerticalOptions="Center"
                                HeightRequest="48" Margin="2" Padding="3">
          <ImageButton.Source>
            <FontImageSource FontFamily="MaterialRegular" Glyph="{x:Static m:MaterialRegular.Settings}" Color="{AppThemeBinding Dark=Black, Default=White}" />
          </ImageButton.Source>
        </ImageButton>

      </Grid>
    </Border>
    <ScrollView Grid.Row="1" Grid.Column="0">
      <CollectionView x:Name="collectionView"  ItemsSource="{Binding StaffButtons}" VerticalScrollBarVisibility="Always" ItemSizingStrategy="MeasureAllItems" >
        <CollectionView.ItemsLayout>
          <GridItemsLayout Orientation="Vertical" Span="4" />
        </CollectionView.ItemsLayout>
        <CollectionView.ItemTemplate>
          <DataTemplate x:DataType="models:StaffButton">
            <Grid Padding="3" Margin="3" RowDefinitions="Auto">
              <Button Style="{StaticResource ButtonStaff}" Grid.Row="0" Text="{Binding Name}" 
                  Command="{Binding StaffBtnCommand, Source={RelativeSource AncestorType={x:Type viewmodel:StaffPageViewModel}}}"
                  CommandParameter="{Binding Identity}" />
              <Label Grid.Row="0" Text="{Binding Personalnummer}" Margin="5,2,2,2" VerticalOptions="Start" 
                     TextColor="{AppThemeBinding Light={StaticResource light_inversePrimary}, Dark={StaticResource dark_inversePrimary}}"/>
            </Grid>
          </DataTemplate>
        </CollectionView.ItemTemplate>
      </CollectionView>
    </ScrollView>
    <Label Grid.Row="2" Grid.Column="0" Text=" "/>

    <AbsoluteLayout x:Name="Loading" IsVisible="{Binding IsLoadingCircleVisible}">
      <BoxView Color="Black" Opacity="0.5" AbsoluteLayout.LayoutFlags="All" AbsoluteLayout.LayoutBounds="0, 0, 1, 1" />
      <ActivityIndicator IsRunning="True" Color="White" AbsoluteLayout.LayoutFlags="PositionProportional" 
                                   AbsoluteLayout.LayoutBounds="0.5, 0.5, -1, -1" />
    </AbsoluteLayout>

  </Grid>
</ContentPage>